Package org.springframework.security.config.http

# Class HttpSecurityBeanDefinitionParser

java.lang.Object
org.springframework.security.config.http.HttpSecurityBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class HttpSecurityBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Sets up HTTP security: filter stack and protected URLs.

Since:
  2.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`HttpSecurityBeanDefinitionParser.ChildAuthenticationManagerFactoryBean`
`static final class`
`HttpSecurityBeanDefinitionParser.FilterChainDecoratorFactory`
`static class`
`HttpSecurityBeanDefinitionParser.RequestRejectedHandlerPostProcessor`

## Constructor Summary

Constructors
Constructor
Description
`HttpSecurityBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)`
The aim of this method is to build the list of filters which have been defined by the namespace elements and attributes within the <http> configuration, along with any custom-filter's linked to user-defined filter beans.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpSecurityBeanDefinitionParser

public HttpSecurityBeanDefinitionParser()

## Method Details

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)
The aim of this method is to build the list of filters which have been defined by the namespace elements and attributes within the <http> configuration, along with any custom-filter's linked to user-defined filter beans.

By the end of this method, the default `FilterChainProxy` bean should have been registered and will have the map of filter chains defined, with the "universal" match pattern mapped to the list of beans which have been parsed here.

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`